Subject: Re: [RFC] PPC: MPIC: necessary readback after EOI?

From: Scott Wood <[email-masked]>
Date: Wed, 7 Jan 2015 11:04:43 -0600

On Wed, 2015-01-07 at 15:44 +0100, Benjamin Herrenschmidt wrote:
> On Mon, 2015-01-05 at 12:10 -0600, Scott Wood wrote:
> > It would have been nice if a code comment explained why it was doing the
> > readback...  I don't see any particular need to wait for EOI completion
> > here (unlike when masking).
> 
> The EOI is what causes the MPIC to drop it's EE output to the CPU, if the
> EOI is processed too slowly & asynchronously (posted write + 33Mhz MPIC)
> we observe cases of spurrious interrupts. We had some macs basically getting
> a spurrious irq for every MPIC interrupts...

Shouldn't reading INTACK be what causes the MPIC to drop its EE output?

-Scott